
Redmine - Defect #5014

Internal Error 500 after new/update issue

2010-03-09 14:27 - Stephan Eichler

Status: Closed Start date: 2010-03-09

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version: 0.9.3

Description

Hi,

I get an "Internal error" when I click on "Create" on the "New issue" page or "Submit" on the "Update issue" page. On this error page I

can click on "Back" and everything seems to be ok. The new/updated issue was stored. My installation runs on the webrick server

and it gives the following outputs:

After clicking "Create"/"Submit" (which results in the error page):

Processing IssuesController#edit (for 192.168.66.175 at 2010-03-09 07:53:48) [POST]

  Parameters: {"time_entry"=>{"comments"=>"", "activity_id"=>"", "hours"=>""}, "commit"=>"OK", "no

tes"=>"", "action"=>"edit", "authenticity_token"=>"+lB+fcCwYCfIBY/IuIVlMzcbDlmVfWvoQzQrtDUyxpo=", 

"id"=>"873", "issue"=>{"start_date"=>"2010-03-08", "estimated_hours"=>"5", "priority_id"=>"4", "lo

ck_version"=>"7", "done_ratio"=>"0", "assigned_to_id"=>"4", "subject"=>"Testfehler", "tracker_id"=

>"1", "due_date"=>"2010-03-09", "status_id"=>"5", "description"=>"Mal sehen, was kaputt ist."}, "c

ontroller"=>"issues", "attachments"=>{"1"=>{"description"=>""}}}

Redirected to http://gateway:88/issues/873

Completed in 69ms (DB: 13) | 302 Found [http://gateway/issues/873/edit]

 After clicking "Back" an the error page:

/!\ FAILSAFE /!\  Tue Mar 09 07:53:48 -0500 2010

  Status: 500 Internal Server Error

  undefined method `merge' for nil:NilClass

    /home/redmine-0.9.3/vendor/rails/actionpack/lib/action_controller/request.rb:385:in `parameter

s'

    /home/redmine-0.9.3/vendor/rails/actionpack/lib/action_controller/base.rb:1288:in `assign_shor

tcuts'

    /home/redmine-0.9.3/vendor/rails/actionpack/lib/action_controller/base.rb:527:in `process_with

out_filters'

    /home/redmine-0.9.3/vendor/rails/actionpack/lib/action_controller/filters.rb:606:in `process'

    /home/redmine-0.9.3/vendor/rails/actionpack/lib/action_controller/rescue.rb:65:in `call_with_e

xception'

    /home/redmine-0.9.3/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:90:in `dispatc

h'

    /home/redmine-0.9.3/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:121:in `_call'

    /home/redmine-0.9.3/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:130

    /home/redmine-0.9.3/vendor/rails/activerecord/lib/active_record/query_cache.rb:29:in `call'

    /home/redmine-0.9.3/vendor/rails/activerecord/lib/active_record/query_cache.rb:29:in `call'

    /home/redmine-0.9.3/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/q

uery_cache.rb:34:in `cache'

    /home/redmine-0.9.3/vendor/rails/activerecord/lib/active_record/query_cache.rb:9:in `cache'

    /home/redmine-0.9.3/vendor/rails/activerecord/lib/active_record/query_cache.rb:28:in `call'

    /home/redmine-0.9.3/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/c

onnection_pool.rb:361:in `call'

    /home/redmine-0.9.3/vendor/rails/actionpack/lib/action_controller/string_coercion.rb:25:in `ca

ll'

    /opt/ruby-enterprise-1.8.7-2010.01/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/head.rb:9:in `ca

ll'

    /opt/ruby-enterprise-1.8.7-2010.01/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/methodoverride.r
b:24:in `call'

    /home/redmine-0.9.3/vendor/rails/actionpack/lib/action_controller/params_parser.rb:15:in `call

'

    /home/redmine-0.9.3/vendor/rails/actionpack/lib/action_controller/session/cookie_store.rb:93:i

n `call'

    /home/redmine-0.9.3/vendor/rails/actionpack/lib/action_controller/failsafe.rb:26:in `call'

    /opt/ruby-enterprise-1.8.7-2010.01/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in `c

all'

    /opt/ruby-enterprise-1.8.7-2010.01/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in `s

ynchronize'

    /opt/ruby-enterprise-1.8.7-2010.01/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in `c

all'

    /home/redmine-0.9.3/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:106:in `call'

    /home/redmine-0.9.3/vendor/rails/railties/lib/rails/rack/static.rb:31:in `call'

    /opt/ruby-enterprise-1.8.7-2010.01/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/urlmap.rb:46:in 

`call'

    /opt/ruby-enterprise-1.8.7-2010.01/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/urlmap.rb:40:in 

`each'

    /opt/ruby-enterprise-1.8.7-2010.01/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/urlmap.rb:40:in 

`call'

    /home/redmine-0.9.3/vendor/rails/railties/lib/rails/rack/log_tailer.rb:17:in `call'

    /opt/ruby-enterprise-1.8.7-2010.01/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/content_length.r

b:13:in `call'

    /opt/ruby-enterprise-1.8.7-2010.01/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/handler/webrick.

rb:50:in `service'

    /opt/ruby-enterprise-1.8.7-2010.01/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'

    /opt/ruby-enterprise-1.8.7-2010.01/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'

    /opt/ruby-enterprise-1.8.7-2010.01/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'

    /opt/ruby-enterprise-1.8.7-2010.01/lib/ruby/1.8/webrick/server.rb:162:in `start'

    /opt/ruby-enterprise-1.8.7-2010.01/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'

    /opt/ruby-enterprise-1.8.7-2010.01/lib/ruby/1.8/webrick/server.rb:95:in `start'

    /opt/ruby-enterprise-1.8.7-2010.01/lib/ruby/1.8/webrick/server.rb:92:in `each'

    /opt/ruby-enterprise-1.8.7-2010.01/lib/ruby/1.8/webrick/server.rb:92:in `start'

    /opt/ruby-enterprise-1.8.7-2010.01/lib/ruby/1.8/webrick/server.rb:23:in `start'

    /opt/ruby-enterprise-1.8.7-2010.01/lib/ruby/1.8/webrick/server.rb:82:in `start'

    /opt/ruby-enterprise-1.8.7-2010.01/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/handler/webrick.

rb:14:in `run'

    /home/redmine-0.9.3/vendor/rails/railties/lib/commands/server.rb:111

    /opt/ruby-enterprise-1.8.7-2010.01/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `ge

m_original_require'

    /opt/ruby-enterprise-1.8.7-2010.01/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `re

quire'

    script/server:3

Processing IssuesController#show (for 192.168.66.175 at 2010-03-09 07:53:53) [GET]

  Parameters: {"action"=>"show", "id"=>"873", "controller"=>"issues"}

Rendering template within layouts/base

Rendering issues/show.rhtml

Completed in 138ms (View: 102, DB: 13) | 200 OK [http://gateway/issues/873]

 My environment is:

About your application's environment

Ruby version              1.8.7 (i686-linux)

RubyGems version          1.3.5

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Edge Rails revision       unknown

Application root          /home/redmine-0.9.3

Environment               production

Database adapter          mysql

Database schema version   20100221100219

I installed ruby/rails/etc. via http://www.rubyenterpriseedition.com
Best regards!

P.S.: This happens on the demo.redmine.org site too!

History

#1 - 2010-03-09 14:31 - Stephan Eichler

After submitting this issue I got the same error! Is it my Safari (3.2.3) web browser? Very strange!

#2 - 2010-04-14 10:58 - 令辉 李

I have repro this bug in my environment.

my redmine install with rails 2.3.5,and in ubuntu 9.10 desktop,run on mongrel_rails,static web server is nginx.

update/create issues' time is so long, but create will success, but update will return 500 error.

somebody will fixed it? Or my configuration is wrong?

#3 - 2010-04-20 12:23 - Nikola Kotur

I am having exact problem, and can't find out what is going on. Please, help?

#4 - 2010-04-21 09:57 - Nikola Kotur

Environment is:

$ ruby script/about

./script/../config/../vendor/rails/railties/lib/rails/gem_dependency.rb:119:Warning: Gem::Dependency#version_requirements is deprecated and will be

removed on or after August 2010.  Use #requirement

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.6

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Edge Rails revision       unknown

Application root          /opt/redmine-0.9.3

Environment               development

Database adapter          mysql

Database schema version   20100221100219

About your Redmine plugins

Advanced roadmap plugin   0.0.6

#5 - 2010-04-30 08:15 - zane england

I am also encountering this issue

Redmine 0.9.3.devel.3694 (MySQL)

About your application's environment

Ruby version              1.8.6 (i486-linux)

RubyGems version          1.3.5

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Application root          /var/www/railsapp

Environment               development

Database adapter          mysql

Database schema version   0

#6 - 2010-04-30 08:47 - zane england

I may not be hitting the same issue - if i use firefox i have no issue but if i use IE8 i do

#7 - 2010-05-11 14:54 - Nikola Kotur

Zane,
I also noticed that I get this issue only when using Arora (webkit based) browser.

#8 - 2013-01-14 14:37 - Daniel Felix

- Status changed from New to Needs feedback

I just tested this with the current trunk (r11182) and the newly released Redmine 2.2.1. I'm not able to reproduce this.

Can anyone verify this with older supported (!) releases?

Best regards,

Daniel

#9 - 2015-03-05 12:57 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to No feedback

No feedback for years and Redmine 0.9.3 is too old.

I close this issue.
